6f66e418873b4bdda001eeddfe5707f9eab2596a
[scilab.git] / scilab / modules / xcos / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) DIGITEO - 2009-2010 - Allan CORNET <allan.cornet@scilab.org>
21 # Copyright (C) DIGITEO - 2010-2010 - ClĂ©ment DAVID <clement.david@scilab.org>
22 #
23 # This file must be used under the terms of the CeCILL.
24 # This source file is licensed as described in the file COPYING, which
25 # you should have received as part of this distribution.  The terms
26 # are also available at
27 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
28 #
29
30 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
31 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
32 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
33 #
34 # This file must be used under the terms of the CeCILL.
35 # This source file is licensed as described in the file COPYING, which
36 # you should have received as part of this distribution.  The terms
37 # are also available at
38 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
39 #
40
41 ##########
42 ### Makefile included stuff
43 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
44 ##########
45
46
47 VPATH = @srcdir@
48 am__make_dryrun = \
49   { \
50     am__dry=no; \
51     case $$MAKEFLAGS in \
52       *\\[\ \   ]*) \
53         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
54           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
55       *) \
56         for am__flg in $$MAKEFLAGS; do \
57           case $$am__flg in \
58             *=*|--*) ;; \
59             *n*) am__dry=yes; break;; \
60           esac; \
61         done;; \
62     esac; \
63     test $$am__dry = yes; \
64   }
65 pkgdatadir = $(datadir)/@PACKAGE@
66 pkgincludedir = $(includedir)/@PACKAGE@
67 pkglibdir = $(libdir)/@PACKAGE@
68 pkglibexecdir = $(libexecdir)/@PACKAGE@
69 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
70 install_sh_DATA = $(install_sh) -c -m 644
71 install_sh_PROGRAM = $(install_sh) -c
72 install_sh_SCRIPT = $(install_sh) -c
73 INSTALL_HEADER = $(INSTALL_DATA)
74 transform = $(program_transform_name)
75 NORMAL_INSTALL = :
76 PRE_INSTALL = :
77 POST_INSTALL = :
78 NORMAL_UNINSTALL = :
79 PRE_UNINSTALL = :
80 POST_UNINSTALL = :
81 build_triplet = @build@
82 host_triplet = @host@
83 @GUI_TRUE@@XCOS_TRUE@am__append_1 = libscixcos.la
84 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
85         $(top_srcdir)/Makefile.incl.am
86 @NEED_JAVA_TRUE@am__append_2 = java
87 subdir = modules/xcos
88 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
89 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
90         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
91         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
92         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
93         $(top_srcdir)/m4/intel_compiler.m4 \
94         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
95         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
96         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
97         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
98         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
99         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
100         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
101         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
102         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
103         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
104         $(top_srcdir)/configure.ac
105 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
106         $(ACLOCAL_M4)
107 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
108 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
109 CONFIG_CLEAN_FILES =
110 CONFIG_CLEAN_VPATH_FILES =
111 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
112 am__vpath_adj = case $$p in \
113     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
114     *) f=$$p;; \
115   esac;
116 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
117 am__install_max = 40
118 am__nobase_strip_setup = \
119   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
120 am__nobase_strip = \
121   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
122 am__nobase_list = $(am__nobase_strip_setup); \
123   for p in $$list; do echo "$$p $$p"; done | \
124   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
125   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
126     if (++n[$$2] == $(am__install_max)) \
127       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
128     END { for (dir in files) print dir, files[dir] }'
129 am__base_list = \
130   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
131   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
132 am__uninstall_files_from_dir = { \
133   test -z "$$files" \
134     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
135     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
136          $(am__cd) "$$dir" && rm -f $$files; }; \
137   }
138 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
139         "$(DESTDIR)$(libscixcos_la_etcdir)" \
140         "$(DESTDIR)$(libscixcos_la_rootdir)" \
141         "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" \
142         "$(DESTDIR)$(libscixcos_la_imagesdir)"
143 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
144 libscixcos_algo_la_LIBADD =
145 am__objects_1 = libscixcos_algo_la-Xcos.lo \
146         libscixcos_algo_la-Palette.lo libscixcos_algo_la-Modelica.lo \
147         libscixcos_algo_la-xcosUtilities.lo
148 am_libscixcos_algo_la_OBJECTS = $(am__objects_1)
149 libscixcos_algo_la_OBJECTS = $(am_libscixcos_algo_la_OBJECTS)
150 @GUI_TRUE@@XCOS_TRUE@am_libscixcos_algo_la_rpath =
151 libscixcos_disable_la_LIBADD =
152 am__objects_2 = libscixcos_disable_la-noxcos.lo
153 am_libscixcos_disable_la_OBJECTS = $(am__objects_2)
154 libscixcos_disable_la_OBJECTS = $(am_libscixcos_disable_la_OBJECTS)
155 libscixcos_la_DEPENDENCIES = libscixcos-algo.la
156 am__objects_3 = libscixcos_la-gw_xcos.lo
157 am__objects_4 = libscixcos_la-sci_Xcos.lo \
158         libscixcos_la-sci_warnBlockByUID.lo \
159         libscixcos_la-sci_closeXcosFromScilab.lo \
160         libscixcos_la-sci_xcosDiagramToScilab.lo \
161         libscixcos_la-sci_xcosPalLoad.lo \
162         libscixcos_la-sci_xcosPalCategoryAdd.lo \
163         libscixcos_la-sci_xcosPalDelete.lo \
164         libscixcos_la-sci_xcosPalMove.lo \
165         libscixcos_la-sci_xcosPalEnable.lo \
166         libscixcos_la-sci_xcosPalDisable.lo \
167         libscixcos_la-sci_xcosPalGenerateIcon.lo \
168         libscixcos_la-sci_xcosConfigureXmlFile.lo \
169         libscixcos_la-sci_xcosAddToolsMenu.lo \
170         libscixcos_la-sci_xcosUpdateBlock.lo \
171         libscixcos_la-sci_loadXcos.lo
172 am_libscixcos_la_OBJECTS = $(am__objects_3) $(am__objects_4)
173 libscixcos_la_OBJECTS = $(am_libscixcos_la_OBJECTS)
174 @GUI_TRUE@@XCOS_TRUE@am_libscixcos_la_rpath = -rpath $(pkglibdir)
175 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
176 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
177 am__depfiles_maybe = depfiles
178 am__mv = mv -f
179 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
180         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
181 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
182         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
183         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
184 CCLD = $(CC)
185 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
186         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
187         $(LDFLAGS) -o $@
188 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
189         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
190 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
191         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
192         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
193 CXXLD = $(CXX)
194 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
195         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
196         $(LDFLAGS) -o $@
197 SOURCES = $(libscixcos_algo_la_SOURCES) \
198         $(libscixcos_disable_la_SOURCES) $(libscixcos_la_SOURCES)
199 DIST_SOURCES = $(libscixcos_algo_la_SOURCES) \
200         $(libscixcos_disable_la_SOURCES) $(libscixcos_la_SOURCES)
201 am__can_run_installinfo = \
202   case $$AM_UPDATE_INFO_DIR in \
203     n|no|NO) false;; \
204     *) (install-info --version) >/dev/null 2>&1;; \
205   esac
206 DATA = $(libscixcos_la_etc_DATA) $(libscixcos_la_root_DATA) \
207         $(libscixcos_la_sci_gateway_DATA) \
208         $(nobase_libscixcos_la_images_DATA)
209 ETAGS = etags
210 CTAGS = ctags
211 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
212 ACLOCAL = @ACLOCAL@
213 ALL_LINGUAS = @ALL_LINGUAS@
214 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
215 AMTAR = @AMTAR@
216 ANT = @ANT@
217 ANTLR = @ANTLR@
218 AR = @AR@
219 ARPACK_LIBS = @ARPACK_LIBS@
220 ASM3 = @ASM3@
221 AUTOCONF = @AUTOCONF@
222 AUTOHEADER = @AUTOHEADER@
223 AUTOMAKE = @AUTOMAKE@
224 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
225 AWK = @AWK@
226 BATIK = @BATIK@
227 BLAS_LIBS = @BLAS_LIBS@
228 CC = @CC@
229 CCACHE = @CCACHE@
230 CCDEPMODE = @CCDEPMODE@
231 CFLAGS = @CFLAGS@
232 CHECKSTYLE = @CHECKSTYLE@
233 COBERTURA = @COBERTURA@
234 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
235 COMMONS_IO = @COMMONS_IO@
236 COMMONS_LOGGING = @COMMONS_LOGGING@
237 CPP = @CPP@
238 CPPFLAGS = @CPPFLAGS@
239 CXX = @CXX@
240 CXXCPP = @CXXCPP@
241 CXXDEPMODE = @CXXDEPMODE@
242 CXXFLAGS = @CXXFLAGS@
243 CYGPATH_W = @CYGPATH_W@
244 DEFS = @DEFS@
245 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
246 DEPDIR = @DEPDIR@
247 DOCBOOK_ROOT = @DOCBOOK_ROOT@
248 DSYMUTIL = @DSYMUTIL@
249 DUMPBIN = @DUMPBIN@
250 ECHO_C = @ECHO_C@
251 ECHO_N = @ECHO_N@
252 ECHO_T = @ECHO_T@
253 EGREP = @EGREP@
254 EXEEXT = @EXEEXT@
255 F77 = @F77@
256 FFLAGS = @FFLAGS@
257 FFTW3_LIB = @FFTW3_LIB@
258 FFTW_ENABLE = @FFTW_ENABLE@
259 FGREP = @FGREP@
260 FLEXDOCK = @FLEXDOCK@
261 FLIBS = @FLIBS@
262 FOP = @FOP@
263 GENHTML = @GENHTML@
264 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
265 GIWS_BIN = @GIWS_BIN@
266 GLUEGEN2_RT = @GLUEGEN2_RT@
267 GMSGFMT = @GMSGFMT@
268 GMSGFMT_015 = @GMSGFMT_015@
269 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
270 GREP = @GREP@
271 GUI_ENABLE = @GUI_ENABLE@
272 HDF5_CFLAGS = @HDF5_CFLAGS@
273 HDF5_LIBS = @HDF5_LIBS@
274 HELP_ENABLE = @HELP_ENABLE@
275 INSTALL = @INSTALL@
276 INSTALL_DATA = @INSTALL_DATA@
277 INSTALL_PROGRAM = @INSTALL_PROGRAM@
278 INSTALL_SCRIPT = @INSTALL_SCRIPT@
279 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
280 INTLLIBS = @INTLLIBS@
281 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
282 JAR = @JAR@
283 JAVA = @JAVA@
284 JAVAC = @JAVAC@
285 JAVAC_DEBUG = @JAVAC_DEBUG@
286 JAVADOC = @JAVADOC@
287 JAVAH = @JAVAH@
288 JAVASCI_ENABLE = @JAVASCI_ENABLE@
289 JAVA_ENABLE = @JAVA_ENABLE@
290 JAVA_G = @JAVA_G@
291 JAVA_HOME = @JAVA_HOME@
292 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
293 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
294 JDB = @JDB@
295 JEUCLID_CORE = @JEUCLID_CORE@
296 JGRAPHX = @JGRAPHX@
297 JHALL = @JHALL@
298 JLATEXMATH = @JLATEXMATH@
299 JLATEXMATH_FOP = @JLATEXMATH_FOP@
300 JOGL2 = @JOGL2@
301 JROSETTA_API = @JROSETTA_API@
302 JROSETTA_ENGINE = @JROSETTA_ENGINE@
303 JUNIT4 = @JUNIT4@
304 LAPACK_LIBS = @LAPACK_LIBS@
305 LCOV = @LCOV@
306 LD = @LD@
307 LDFLAGS = @LDFLAGS@
308 LIBICONV = @LIBICONV@
309 LIBINTL = @LIBINTL@
310 LIBM = @LIBM@
311 LIBOBJS = @LIBOBJS@
312 LIBS = @LIBS@
313 LIBTOOL = @LIBTOOL@
314 LIPO = @LIPO@
315 LN_S = @LN_S@
316 LOGGING_LEVEL = @LOGGING_LEVEL@
317 LOOKS = @LOOKS@
318 LTLIBICONV = @LTLIBICONV@
319 LTLIBINTL = @LTLIBINTL@
320 LTLIBOBJS = @LTLIBOBJS@
321 MAINT = @MAINT@
322 MAKEINFO = @MAKEINFO@
323 MATIO_CFLAGS = @MATIO_CFLAGS@
324 MATIO_ENABLE = @MATIO_ENABLE@
325 MATIO_LIBS = @MATIO_LIBS@
326 MKDIR_P = @MKDIR_P@
327 MSGCAT = @MSGCAT@
328 MSGFMT = @MSGFMT@
329 MSGFMT_015 = @MSGFMT_015@
330 MSGMERGE = @MSGMERGE@
331 NM = @NM@
332 NMEDIT = @NMEDIT@
333 OBJDUMP = @OBJDUMP@
334 OBJEXT = @OBJEXT@
335 OCAMLC = @OCAMLC@
336 OCAMLDEP = @OCAMLDEP@
337 OCAMLLEX = @OCAMLLEX@
338 OCAMLOPT = @OCAMLOPT@
339 OCAMLYACC = @OCAMLYACC@
340 OPENMP_CFLAGS = @OPENMP_CFLAGS@
341 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
342 OPENMP_ENABLE = @OPENMP_ENABLE@
343 OPENMP_LIBS = @OPENMP_LIBS@
344 OTOOL = @OTOOL@
345 OTOOL64 = @OTOOL64@
346 PACKAGE = @PACKAGE@
347 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
348 PACKAGE_NAME = @PACKAGE_NAME@
349 PACKAGE_STRING = @PACKAGE_STRING@
350 PACKAGE_TARNAME = @PACKAGE_TARNAME@
351 PACKAGE_URL = @PACKAGE_URL@
352 PACKAGE_VERSION = @PACKAGE_VERSION@
353 PATH_SEPARATOR = @PATH_SEPARATOR@
354 PCRE_CFLAGS = @PCRE_CFLAGS@
355 PCRE_CONFIG = @PCRE_CONFIG@
356 PCRE_LIBS = @PCRE_LIBS@
357 PCRE_VERSION = @PCRE_VERSION@
358 PKG_CONFIG = @PKG_CONFIG@
359 POSUB = @POSUB@
360 POW_LIB = @POW_LIB@
361 PYTHON = @PYTHON@
362 RANLIB = @RANLIB@
363 RELOCATABLE = @RELOCATABLE@
364 RT_LIB = @RT_LIB@
365 SAXON = @SAXON@
366 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
367 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
368 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
369 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
370 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
371 SCIRENDERER = @SCIRENDERER@
372 SCI_CFLAGS = @SCI_CFLAGS@
373 SCI_CXXFLAGS = @SCI_CXXFLAGS@
374 SCI_FFLAGS = @SCI_FFLAGS@
375 SCI_LDFLAGS = @SCI_LDFLAGS@
376 SED = @SED@
377 SET_MAKE = @SET_MAKE@
378 SET_RELOCATABLE = @SET_RELOCATABLE@
379 SHELL = @SHELL@
380 SKINLF = @SKINLF@
381 SPLINT = @SPLINT@
382 STRIP = @STRIP@
383 SWIG_BIN = @SWIG_BIN@
384 SWIG_JAVA = @SWIG_JAVA@
385 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
386 TCLTK_LIBS = @TCLTK_LIBS@
387 TCL_INC_PATH = @TCL_INC_PATH@
388 TK_INC_PATH = @TK_INC_PATH@
389 UMFPACK_ENABLE = @UMFPACK_ENABLE@
390 UMFPACK_LIB = @UMFPACK_LIB@
391 USE_NLS = @USE_NLS@
392 VERSION = @VERSION@
393 WITH_OCAML = @WITH_OCAML@
394 WITH_TKSCI = @WITH_TKSCI@
395 XCOS_ENABLE = @XCOS_ENABLE@
396 XGETTEXT = @XGETTEXT@
397 XGETTEXT_015 = @XGETTEXT_015@
398 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
399 XMKMF = @XMKMF@
400 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
401 XML_APIS_EXT = @XML_APIS_EXT@
402 XML_CONFIG = @XML_CONFIG@
403 XML_FLAGS = @XML_FLAGS@
404 XML_LIBS = @XML_LIBS@
405 XML_VERSION = @XML_VERSION@
406 X_CFLAGS = @X_CFLAGS@
407 X_EXTRA_LIBS = @X_EXTRA_LIBS@
408 X_LIBS = @X_LIBS@
409 X_PRE_LIBS = @X_PRE_LIBS@
410 abs_builddir = @abs_builddir@
411 abs_srcdir = @abs_srcdir@
412 abs_top_builddir = @abs_top_builddir@
413 abs_top_srcdir = @abs_top_srcdir@
414 ac_ct_CC = @ac_ct_CC@
415 ac_ct_CXX = @ac_ct_CXX@
416 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
417 ac_ct_F77 = @ac_ct_F77@
418 am__include = @am__include@
419 am__leading_dot = @am__leading_dot@
420 am__quote = @am__quote@
421 am__tar = @am__tar@
422 am__untar = @am__untar@
423 bindir = @bindir@
424 build = @build@
425 build_alias = @build_alias@
426 build_cpu = @build_cpu@
427 build_os = @build_os@
428 build_vendor = @build_vendor@
429 builddir = @builddir@
430 cxx_present = @cxx_present@
431 datadir = @datadir@
432 datarootdir = @datarootdir@
433 docdir = @docdir@
434 dvidir = @dvidir@
435 exec_prefix = @exec_prefix@
436 host = @host@
437 host_alias = @host_alias@
438 host_cpu = @host_cpu@
439 host_os = @host_os@
440 host_vendor = @host_vendor@
441 htmldir = @htmldir@
442 includedir = @includedir@
443 infodir = @infodir@
444 install_sh = @install_sh@
445 libdir = @libdir@
446 libexecdir = @libexecdir@
447 localedir = @localedir@
448 localstatedir = @localstatedir@
449 mandir = @mandir@
450 mkdir_p = @mkdir_p@
451 oldincludedir = @oldincludedir@
452 pdfdir = @pdfdir@
453 prefix = @prefix@
454 program_transform_name = @program_transform_name@
455 psdir = @psdir@
456 sbindir = @sbindir@
457 sharedstatedir = @sharedstatedir@
458 srcdir = @srcdir@
459 sysconfdir = @sysconfdir@
460 target_alias = @target_alias@
461 top_build_prefix = @top_build_prefix@
462 top_builddir = @top_builddir@
463 top_srcdir = @top_srcdir@
464
465 #### Target ######
466 modulename = xcos
467
468 #### xcos : Conf files ####
469 libscixcos_la_rootdir = $(mydatadir)
470 libscixcos_la_root_DATA = license.txt
471
472 #### xcos : init scripts ####
473 libscixcos_la_etcdir = $(mydatadir)/etc
474 libscixcos_la_etc_DATA = \
475         etc/xcos.quit \
476         etc/xcos.start \
477         etc/Xcos-style.xml \
478         etc/XcosFile.xsd \
479         etc/xcos.xml \
480         etc/XcosConfiguration.xsd \
481         etc/palettes.xml \
482         etc/PaletteConfiguration.xsd \
483         etc/Modelica.xsd \
484         etc/XConfiguration-xcos.xsl \
485         etc/XConfiguration-xcos.xml
486
487 XCOS_CXX_SOURCES = src/jni/Xcos.cpp \
488                         src/jni/Xcos.hxx \
489                         src/jni/Palette.cpp \
490                         src/jni/Palette.hxx \
491                         src/jni/Modelica.cpp \
492                         src/jni/Modelica.hxx \
493                         src/cpp/xcosUtilities.cpp
494
495 GIWS_WRAPPERS = src/jni/Xcos.giws.xml \
496                         src/jni/Palette.giws.xml \
497                         src/jni/Modelica.giws.xml
498
499 @GIWS_TRUE@BUILT_SOURCES = giws
500 GATEWAY_C_SOURCES = sci_gateway/c/gw_xcos.c
501 GATEWAY_CXX_SOURCES = \
502         sci_gateway/cpp/sci_Xcos.cpp \
503         sci_gateway/cpp/sci_warnBlockByUID.cpp \
504         sci_gateway/cpp/sci_closeXcosFromScilab.cpp \
505         sci_gateway/cpp/sci_xcosDiagramToScilab.cpp \
506         sci_gateway/cpp/sci_xcosPalLoad.cpp \
507         sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp \
508         sci_gateway/cpp/sci_xcosPalDelete.cpp \
509         sci_gateway/cpp/sci_xcosPalMove.cpp \
510         sci_gateway/cpp/sci_xcosPalEnable.cpp \
511         sci_gateway/cpp/sci_xcosPalDisable.cpp \
512         sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp \
513         sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp \
514         sci_gateway/cpp/sci_xcosAddToolsMenu.cpp \
515         sci_gateway/cpp/sci_xcosUpdateBlock.cpp \
516         sci_gateway/cpp/sci_loadXcos.cpp
517
518 libscixcos_la_CPPFLAGS = \
519                         -I$(srcdir)/includes/ \
520                         -I$(srcdir)/src/jni/ \
521                         -I$(srcdir)/src/cpp/ \
522                         -I$(srcdir)/src/c/ \
523                         -I$(top_srcdir)/libs/MALLOC/includes/ \
524                         -I$(top_srcdir)/modules/jvm/includes/ \
525                         -I$(top_srcdir)/modules/output_stream/includes/ \
526                         -I$(top_srcdir)/modules/commons/src/jni/ \
527                         -I$(top_srcdir)/modules/localization/includes/ \
528                         -I$(top_srcdir)/modules/fileio/includes/ \
529                         -I$(top_srcdir)/modules/scicos_blocks/src/jni/ \
530                         -I$(top_srcdir)/modules/api_scilab/includes/ \
531                         $(JAVA_JNI_INCLUDE) \
532                         $(AM_CPPFLAGS)
533
534
535 # Without the xcos module
536 libscixcos_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
537                         -I$(top_srcdir)/modules/localization/includes/ \
538                         -I$(top_srcdir)/modules/output_stream/includes \
539                         $(AM_CPPFLAGS)
540
541 XCOS_DISABLE_C_SOURCES = src/noxcos/noxcos.c
542 libscixcos_disable_la_SOURCES = $(XCOS_DISABLE_C_SOURCES)
543 pkglib_LTLIBRARIES = libscixcos-disable.la $(am__append_1)
544 @GUI_TRUE@@XCOS_TRUE@noinst_LTLIBRARIES = libscixcos-algo.la
545 libscixcos_algo_la_SOURCES = $(XCOS_C_SOURCES) $(XCOS_CXX_SOURCES)
546 libscixcos_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
547 libscixcos_algo_la_CPPFLAGS = $(libscixcos_la_CPPFLAGS)
548
549 # For the code check (splint)
550 CHECK_SRC = $(XCOS_C_SOURCES) $(GATEWAY_C_SOURCES)
551 INCLUDE_FLAGS = $(libscixcos_la_CPPFLAGS)
552 libscixcos_la_LIBADD = libscixcos-algo.la
553
554 #### xcos : gateway declaration ####
555 libscixcos_la_sci_gatewaydir = $(mydatadir)/sci_gateway
556 libscixcos_la_sci_gateway_DATA = sci_gateway/xcos_gateway.xml
557
558 #### xcos : images files ####
559 #
560 # Generated with:
561 #   $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png -not -name *_pal.jpg -not -name gui |sort |awk '$0 !~ /gui/{print;}' |awk '$0 !~ /_pal.jpg/{print;}'
562 libscixcos_la_imagesdir = $(mydatadir)/
563 nobase_libscixcos_la_images_DATA = images/blocks/3DSCOPE.svg \
564 images/blocks/ANDBLK.svg \
565 images/blocks/ASCOPE.svg \
566 images/blocks/BACHE.svg \
567 images/blocks/BARXY.svg \
568 images/blocks/BPLATFORM.svg \
569 images/blocks/Capacitor.svg \
570 images/blocks/CCS.svg \
571 images/blocks/CLOCK_c.svg \
572 images/blocks/CLOCK_f.svg \
573 images/blocks/ConstantVoltage.svg \
574 images/blocks/CSCOPXY.svg \
575 images/blocks/CurrentSensor.svg \
576 images/blocks/CVS.svg \
577 images/blocks/DEADBAND.svg \
578 images/blocks/Diode.svg \
579 images/blocks/DSCOPE.svg \
580 images/blocks/Ground.svg \
581 images/blocks/Gyrator.svg \
582 images/blocks/HYSTHERESIS.svg \
583 images/blocks/IdealTransformer.svg \
584 images/blocks/Inductor.svg \
585 images/blocks/INTEGRAL.svg \
586 images/blocks/Modelica.svg \
587 images/blocks/NMOS.svg \
588 images/blocks/NPN.svg \
589 images/blocks/PerteDP.svg \
590 images/blocks/PMOS.svg \
591 images/blocks/PNP.svg \
592 images/blocks/PotentialSensor.svg \
593 images/blocks/PRODUCT.svg \
594 images/blocks/PuitP.svg \
595 images/blocks/PULSE_SC.svg \
596 images/blocks/QUANT_f.svg \
597 images/blocks/RAMP.svg \
598 images/blocks/Resistor.svg \
599 images/blocks/SampleCLK.svg \
600 images/blocks/SATURATION.svg \
601 images/blocks/sawtooth.svg \
602 images/blocks/Self_Switch_off.svg \
603 images/blocks/Self_Switch_on.svg \
604 images/blocks/SELF_SWITCH.svg \
605 images/blocks/SINUS_f.svg \
606 images/blocks/SourceP.svg \
607 images/blocks/SQUARE_WAVE_f.svg \
608 images/blocks/STEP_FUNCTION.svg \
609 images/blocks/SUM.svg \
610 images/blocks/SUPER.svg \
611 images/blocks/SWITCH.svg \
612 images/blocks/VanneReglante.svg \
613 images/blocks/VariableResistor.svg \
614 images/blocks/VoltageSensor.svg \
615 images/icons/16x16/actions/align-horizontal-center.png \
616 images/icons/16x16/actions/align-horizontal-left.png \
617 images/icons/16x16/actions/align-horizontal-right.png \
618 images/icons/16x16/actions/align-vertical-bottom.png \
619 images/icons/16x16/actions/align-vertical-center.png \
620 images/icons/16x16/actions/align-vertical-top.png \
621 images/icons/16x16/actions/color-fill.png \
622 images/icons/16x16/actions/draw-brush.png \
623 images/icons/16x16/actions/object-group.png \
624 images/icons/16x16/actions/process-stop.png \
625 images/icons/16x16/actions/select-by-color.png \
626 images/icons/16x16/actions/transform-flip.png \
627 images/icons/16x16/actions/transform-mirror.png \
628 images/icons/16x16/categories/preferences-desktop.png \
629 images/palettes/ABS_VALUE.png \
630 images/palettes/AFFICH_m.png \
631 images/palettes/ANDBLK.png \
632 images/palettes/ANDLOG_f.png \
633 images/palettes/AUTOMAT.png \
634 images/palettes/Bache.png \
635 images/palettes/BACKLASH.png \
636 images/palettes/BARXY.png \
637 images/palettes/BIGSOM_f.png \
638 images/palettes/BITCLEAR.png \
639 images/palettes/BITSET.png \
640 images/palettes/BOUNCE.png \
641 images/palettes/BOUNCEXY.png \
642 images/palettes/BPLATFORM.png \
643 images/palettes/CANIMXY3D.png \
644 images/palettes/CANIMXY.png \
645 images/palettes/Capacitor.png \
646 images/palettes/c_block.png \
647 images/palettes/CBLOCK.png \
648 images/palettes/CCS.png \
649 images/palettes/CEVENTSCOPE.png \
650 images/palettes/CFSCOPE.png \
651 images/palettes/CLINDUMMY_f.png \
652 images/palettes/CLKFROM.png \
653 images/palettes/CLKGOTO.png \
654 images/palettes/CLKGotoTagVisibility.png \
655 images/palettes/CLKINV_f.png \
656 images/palettes/CLKOUTV_f.png \
657 images/palettes/CLKSOMV_f.png \
658 images/palettes/CLOCK_c.png \
659 images/palettes/CLR.png \
660 images/palettes/CLSS.png \
661 images/palettes/CMAT3D.png \
662 images/palettes/CMATVIEW.png \
663 images/palettes/CMSCOPE.png \
664 images/palettes/ConstantVoltage.png \
665 images/palettes/CONST_m.png \
666 images/palettes/CONSTRAINT2_c.png \
667 images/palettes/CONSTRAINT_c.png \
668 images/palettes/CONVERT.png \
669 images/palettes/COSBLK_f.png \
670 images/palettes/Counter.png \
671 images/palettes/CSCOPE.png \
672 images/palettes/CSCOPXY3D.png \
673 images/palettes/CSCOPXY.png \
674 images/palettes/CUMSUM.png \
675 images/palettes/CurrentSensor.png \
676 images/palettes/CURV_f.png \
677 images/palettes/CVS.png \
678 images/palettes/DEADBAND.png \
679 images/palettes/DEBUG_SCICOS.png \
680 images/palettes/DELAY_f.png \
681 images/palettes/DELAYV_f.png \
682 images/palettes/DEMUX.png \
683 images/palettes/DERIV.png \
684 images/palettes/DFLIPFLOP.png \
685 images/palettes/DIFF_f.png \
686 images/palettes/Diode.png \
687 images/palettes/DLATCH.png \
688 images/palettes/DLRADAPT_f.png \
689 images/palettes/DLR.png \
690 images/palettes/DLSS.png \
691 images/palettes/DOLLAR_f.png \
692 images/palettes/EDGE_TRIGGER.png \
693 images/palettes/ENDBLK.png \
694 images/palettes/END_c.png \
695 images/palettes/ESELECT_f.png \
696 images/palettes/EVTDLY_c.png \
697 images/palettes/EVTGEN_f.png \
698 images/palettes/EVTVARDLY.png \
699 images/palettes/EXPBLK_m.png \
700 images/palettes/EXPRESSION.png \
701 images/palettes/Extract_Activation.png \
702 images/palettes/EXTRACTBITS.png \
703 images/palettes/EXTRACTOR.png \
704 images/palettes/EXTRACT.png \
705 images/palettes/EXTTRI.png \
706 images/palettes/fortran_block.png \
707 images/palettes/freq_div.png \
708 images/palettes/FROMMO.png \
709 images/palettes/FROM.png \
710 images/palettes/FROMWSB.png \
711 images/palettes/GAINBLK_f.png \
712 images/palettes/GENERAL_f.png \
713 images/palettes/generic_block3.png \
714 images/palettes/GENSIN_f.png \
715 images/palettes/GENSQR_f.png \
716 images/palettes/GOTOMO.png \
717 images/palettes/GOTO.png \
718 images/palettes/GotoTagVisibilityMO.png \
719 images/palettes/GotoTagVisibility.png \
720 images/palettes/Ground.png \
721 images/palettes/Gyrator.png \
722 images/palettes/HALT_f.png \
723 images/palettes/HYSTHERESIS.png \
724 images/palettes/IdealTransformer.png \
725 images/palettes/IFTHEL_f.png \
726 images/palettes/Inductor.png \
727 images/palettes/IN_f.png \
728 images/palettes/INIMPL_f.png \
729 images/palettes/INTEGRAL_f.png \
730 images/palettes/INTEGRAL_m.png \
731 images/palettes/INTMUL.png \
732 images/palettes/INTRP2BLK_f.png \
733 images/palettes/INTRPLBLK_f.png \
734 images/palettes/INVBLK.png \
735 images/palettes/ISELECT_m.png \
736 images/palettes/JKFLIPFLOP.png \
737 images/palettes/LOGBLK_f.png \
738 images/palettes/LOGICAL_OP.png \
739 images/palettes/LOGIC.png \
740 images/palettes/LOOKUP_f.png \
741 images/palettes/MATBKSL.png \
742 images/palettes/MATCATH.png \
743 images/palettes/MATCATV.png \
744 images/palettes/MATDET.png \
745 images/palettes/MATDIAG.png \
746 images/palettes/MATDIV.png \
747 images/palettes/MATEIG.png \
748 images/palettes/MATEXPM.png \
749 images/palettes/MATINV.png \
750 images/palettes/MATLU.png \
751 images/palettes/MATMAGPHI.png \
752 images/palettes/MATMUL.png \
753 images/palettes/MATPINV.png \
754 images/palettes/MATRESH.png \
755 images/palettes/MATSING.png \
756 images/palettes/MATSUM.png \
757 images/palettes/MATTRAN.png \
758 images/palettes/MATZCONJ.png \
759 images/palettes/MATZREIM.png \
760 images/palettes/MAX_f.png \
761 images/palettes/MAXMIN.png \
762 images/palettes/MBLOCK.png \
763 images/palettes/MCLOCK_f.png \
764 images/palettes/MFCLCK_f.png \
765 images/palettes/M_freq.png \
766 images/palettes/MIN_f.png \
767 images/palettes/Modulo_Count.png \
768 images/palettes/M_SWITCH.png \
769 images/palettes/MUX.png \
770 images/palettes/NEGTOPOS_f.png \
771 images/palettes/NMOS.png \
772 images/palettes/NPN.png \
773 images/palettes/NRMSOM_f.png \
774 images/palettes/OpAmp.png \
775 images/palettes/OUT_f.png \
776 images/palettes/OUTIMPL_f.png \
777 images/palettes/PDE.png \
778 images/palettes/PerteDP.png \
779 images/palettes/PID.png \
780 images/palettes/PMOS.png \
781 images/palettes/PNP.png \
782 images/palettes/POSTONEG_f.png \
783 images/palettes/PotentialSensor.png \
784 images/palettes/POWBLK_f.png \
785 images/palettes/PROD_f.png \
786 images/palettes/PRODUCT.png \
787 images/palettes/PuitsP.png \
788 images/palettes/PULSE_SC.png \
789 images/palettes/QUANT_f.png \
790 images/palettes/RAMP.png \
791 images/palettes/RAND_m.png \
792 images/palettes/RATELIMITER.png \
793 images/palettes/READAU_f.png \
794 images/palettes/READC_f.png \
795 images/palettes/REGISTER.png \
796 images/palettes/RELATIONALOP.png \
797 images/palettes/RELAY_f.png \
798 images/palettes/Resistor.png \
799 images/palettes/RFILE_f.png \
800 images/palettes/RICC.png \
801 images/palettes/ROOTCOEF.png \
802 images/palettes/SAMPHOLD_m.png \
803 images/palettes/SampleCLK.png \
804 images/palettes/SATURATION.png \
805 images/palettes/SAWTOOTH_f.png \
806 images/palettes/SCALAR2VECTOR.png \
807 images/palettes/scifunc_block_m.png \
808 images/palettes/SELECT_m.png \
809 images/palettes/SELF_SWITCH_off.png \
810 images/palettes/SELF_SWITCH_on.png \
811 images/palettes/SELF_SWITCH.png \
812 images/palettes/SHIFT.png \
813 images/palettes/Sigbuilder.png \
814 images/palettes/SIGNUM.png \
815 images/palettes/SINBLK_f.png \
816 images/palettes/SineVoltage.png \
817 images/palettes/SourceP.png \
818 images/palettes/SQRT.png \
819 images/palettes/SRFLIPFLOP.png \
820 images/palettes/STEP_FUNCTION.png \
821 images/palettes/SUBMAT.png \
822 images/palettes/SUM_f.png \
823 images/palettes/SUMMATION.png \
824 images/palettes/SUPER_f.png \
825 images/palettes/SWITCH2_m.png \
826 images/palettes/SWITCH_f.png \
827 images/palettes/Switch.png \
828 images/palettes/TANBLK_f.png \
829 images/palettes/TCLSS.png \
830 images/palettes/TEXT_f.png \
831 images/palettes/TIME_DELAY.png \
832 images/palettes/TIME_f.png \
833 images/palettes/TKSCALE.png \
834 images/palettes/TOWS_c.png \
835 images/palettes/TRASH_f.png \
836 images/palettes/TrigFun.png \
837 images/palettes/VanneReglante.png \
838 images/palettes/VARIABLE_DELAY.png \
839 images/palettes/VariableResistor.png \
840 images/palettes/VirtualCLK0.png \
841 images/palettes/VoltageSensor.png \
842 images/palettes/VsourceAC.png \
843 images/palettes/VVsourceAC.png \
844 images/palettes/WFILE_f.png \
845 images/palettes/WRITEAU_f.png \
846 images/palettes/WRITEC_f.png \
847 images/palettes/ZCROSS_f.png
848
849 @GUI_TRUE@@XCOS_TRUE@USEANT = 1
850
851 # Where all the Scilab stuff is installed (macros, help, ...)
852 mydatadir = $(pkgdatadir)/modules/$(modulename)
853
854 # Set AM_* SCI detected settings
855 AM_CPPFLAGS = $(SCI_CPPFLAGS)
856 AM_CFLAGS = $(SCI_CFLAGS)
857 AM_CXXFLAGS = $(SCI_CXXFLAGS)
858 # append includes to AM_FFLAGS to manage fortran includes
859 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
860
861 # Tag shared libraries with the Scilab version
862 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
863
864 # splint options
865 SPLINT_OPTIONS = -weak -booltype BOOL
866
867 ########################### JAVA ######################################
868 #### We are delegating java compilation to ant... Thanks to that
869 #### the procedure will be the same with Microsoft Windows (C)
870 #### and Linux/Unix
871 #######################################################################
872 TARGETS_ALL = $(am__append_2)
873
874 ################ MACROS ######################
875 # Rule to build a macro
876 # NOT USED  AT THE MOMENT
877 SUFFIXES = .sci 
878
879 ########### INSTALL DOCUMENTATION ###################
880
881 # Install documentation files into the right target
882 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
883 # automake needs the html files to be present which is not the case when
884 # we are building Scilab
885
886 # Where it should be installed
887 pkgdocdir = $(mydatadir)
888
889 # What is the mask of the help source
890 DOCMASKXML = *.xml
891
892 # What is the mask of the MathML sources
893 DOCMASKMML = *.mml
894
895 ########### INSTALL DATA ###################
896 # Install macros, help & demos
897 # Where it should be installed
898 pkgmacrosdir = $(mydatadir)
899 # Which directory we process
900 MACRODIRS = macros/
901 # Mask of the Scilab sources macros
902 MACROMASK = *.sci
903 # Mask of the Scilab executable sources macros
904 MACROBUILDMASK = *.sce
905 # Mask of the Scilab compiled macros
906 MACROBINMASK = *.bin
907 # List of the standard directory for tests
908 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
909 # Where the demos should be installed
910 pkgdemosdir = $(mydatadir)
911 # List of the standard directory for demos
912 DEMOS_DIR = demos
913 # List of the standard directory for examples
914 EXAMPLES_DIR = examples
915 # Where to export JAVA archives (.jar)
916 JARDIR = jar/
917 # JAR files mask
918 JARMASK = *.jar
919 # Chapter file 
920 HELP_CHAPTERDIR = help/
921 HELP_CHAPTERFILE = addchapter.sce
922 HELP_CHAPTERLANG = en_US fr_FR pt_BR
923 all: $(BUILT_SOURCES)
924         $(MAKE) $(AM_MAKEFLAGS) all-am
925
926 .SUFFIXES:
927 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
928 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
929         @for dep in $?; do \
930           case '$(am__configure_deps)' in \
931             *$$dep*) \
932               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
933                 && { if test -f $@; then exit 0; else break; fi; }; \
934               exit 1;; \
935           esac; \
936         done; \
937         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/xcos/Makefile'; \
938         $(am__cd) $(top_srcdir) && \
939           $(AUTOMAKE) --foreign modules/xcos/Makefile
940 .PRECIOUS: Makefile
941 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
942         @case '$?' in \
943           *config.status*) \
944             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
945           *) \
946             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
947             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
948         esac;
949 $(top_srcdir)/Makefile.incl.am:
950
951 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
952         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
953
954 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
955         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
956 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
957         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
958 $(am__aclocal_m4_deps):
959
960 clean-noinstLTLIBRARIES:
961         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
962         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
963           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
964           test "$$dir" != "$$p" || dir=.; \
965           echo "rm -f \"$${dir}/so_locations\""; \
966           rm -f "$${dir}/so_locations"; \
967         done
968 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
969         @$(NORMAL_INSTALL)
970         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
971         list2=; for p in $$list; do \
972           if test -f $$p; then \
973             list2="$$list2 $$p"; \
974           else :; fi; \
975         done; \
976         test -z "$$list2" || { \
977           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
978           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
979           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
980           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
981         }
982
983 uninstall-pkglibLTLIBRARIES:
984         @$(NORMAL_UNINSTALL)
985         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
986         for p in $$list; do \
987           $(am__strip_dir) \
988           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
989           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
990         done
991
992 clean-pkglibLTLIBRARIES:
993         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
994         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
995           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
996           test "$$dir" != "$$p" || dir=.; \
997           echo "rm -f \"$${dir}/so_locations\""; \
998           rm -f "$${dir}/so_locations"; \
999         done
1000 libscixcos-algo.la: $(libscixcos_algo_la_OBJECTS) $(libscixcos_algo_la_DEPENDENCIES) $(EXTRA_libscixcos_algo_la_DEPENDENCIES) 
1001         $(CXXLINK) $(am_libscixcos_algo_la_rpath) $(libscixcos_algo_la_OBJECTS) $(libscixcos_algo_la_LIBADD) $(LIBS)
1002 libscixcos-disable.la: $(libscixcos_disable_la_OBJECTS) $(libscixcos_disable_la_DEPENDENCIES) $(EXTRA_libscixcos_disable_la_DEPENDENCIES) 
1003         $(LINK) -rpath $(pkglibdir) $(libscixcos_disable_la_OBJECTS) $(libscixcos_disable_la_LIBADD) $(LIBS)
1004 libscixcos.la: $(libscixcos_la_OBJECTS) $(libscixcos_la_DEPENDENCIES) $(EXTRA_libscixcos_la_DEPENDENCIES) 
1005         $(CXXLINK) $(am_libscixcos_la_rpath) $(libscixcos_la_OBJECTS) $(libscixcos_la_LIBADD) $(LIBS)
1006
1007 mostlyclean-compile:
1008         -rm -f *.$(OBJEXT)
1009
1010 distclean-compile:
1011         -rm -f *.tab.c
1012
1013 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Modelica.Plo@am__quote@
1014 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Palette.Plo@am__quote@
1015 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Xcos.Plo@am__quote@
1016 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-xcosUtilities.Plo@am__quote@
1017 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_disable_la-noxcos.Plo@am__quote@
1018 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-gw_xcos.Plo@am__quote@
1019 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_Xcos.Plo@am__quote@
1020 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Plo@am__quote@
1021 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_loadXcos.Plo@am__quote@
1022 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Plo@am__quote@
1023 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Plo@am__quote@
1024 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Plo@am__quote@
1025 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Plo@am__quote@
1026 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Plo@am__quote@
1027 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Plo@am__quote@
1028 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Plo@am__quote@
1029 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Plo@am__quote@
1030 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Plo@am__quote@
1031 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Plo@am__quote@
1032 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalMove.Plo@am__quote@
1033 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Plo@am__quote@
1034
1035 .c.o:
1036 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1037 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1038 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1039 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1040 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
1041
1042 .c.obj:
1043 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1044 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1045 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1046 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1047 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
1048
1049 .c.lo:
1050 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1051 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1052 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1053 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1054 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
1055
1056 libscixcos_disable_la-noxcos.lo: src/noxcos/noxcos.c
1057 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscixcos_disable_la-noxcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_disable_la-noxcos.Tpo -c -o libscixcos_disable_la-noxcos.lo `test -f 'src/noxcos/noxcos.c' || echo '$(srcdir)/'`src/noxcos/noxcos.c
1058 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscixcos_disable_la-noxcos.Tpo $(DEPDIR)/libscixcos_disable_la-noxcos.Plo
1059 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/noxcos/noxcos.c' object='libscixcos_disable_la-noxcos.lo' libtool=yes @AMDEPBACKSLASH@
1060 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1061 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscixcos_disable_la-noxcos.lo `test -f 'src/noxcos/noxcos.c' || echo '$(srcdir)/'`src/noxcos/noxcos.c
1062
1063 libscixcos_la-gw_xcos.lo: sci_gateway/c/gw_xcos.c
1064 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscixcos_la-gw_xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-gw_xcos.Tpo -c -o libscixcos_la-gw_xcos.lo `test -f 'sci_gateway/c/gw_xcos.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xcos.c
1065 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscixcos_la-gw_xcos.Tpo $(DEPDIR)/libscixcos_la-gw_xcos.Plo
1066 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_xcos.c' object='libscixcos_la-gw_xcos.lo' libtool=yes @AMDEPBACKSLASH@
1067 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1068 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscixcos_la-gw_xcos.lo `test -f 'sci_gateway/c/gw_xcos.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xcos.c
1069
1070 .cpp.o:
1071 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1072 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1073 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1074 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1075 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
1076
1077 .cpp.obj:
1078 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1079 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1080 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1081 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1082 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1083
1084 .cpp.lo:
1085 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1086 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1087 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1088 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1089 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
1090
1091 libscixcos_algo_la-Xcos.lo: src/jni/Xcos.cpp
1092 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Xcos.Tpo -c -o libscixcos_algo_la-Xcos.lo `test -f 'src/jni/Xcos.cpp' || echo '$(srcdir)/'`src/jni/Xcos.cpp
1093 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Xcos.Tpo $(DEPDIR)/libscixcos_algo_la-Xcos.Plo
1094 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Xcos.cpp' object='libscixcos_algo_la-Xcos.lo' libtool=yes @AMDEPBACKSLASH@
1095 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1096 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Xcos.lo `test -f 'src/jni/Xcos.cpp' || echo '$(srcdir)/'`src/jni/Xcos.cpp
1097
1098 libscixcos_algo_la-Palette.lo: src/jni/Palette.cpp
1099 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Palette.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Palette.Tpo -c -o libscixcos_algo_la-Palette.lo `test -f 'src/jni/Palette.cpp' || echo '$(srcdir)/'`src/jni/Palette.cpp
1100 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Palette.Tpo $(DEPDIR)/libscixcos_algo_la-Palette.Plo
1101 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Palette.cpp' object='libscixcos_algo_la-Palette.lo' libtool=yes @AMDEPBACKSLASH@
1102 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1103 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Palette.lo `test -f 'src/jni/Palette.cpp' || echo '$(srcdir)/'`src/jni/Palette.cpp
1104
1105 libscixcos_algo_la-Modelica.lo: src/jni/Modelica.cpp
1106 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Modelica.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Modelica.Tpo -c -o libscixcos_algo_la-Modelica.lo `test -f 'src/jni/Modelica.cpp' || echo '$(srcdir)/'`src/jni/Modelica.cpp
1107 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Modelica.Tpo $(DEPDIR)/libscixcos_algo_la-Modelica.Plo
1108 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Modelica.cpp' object='libscixcos_algo_la-Modelica.lo' libtool=yes @AMDEPBACKSLASH@
1109 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1110 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Modelica.lo `test -f 'src/jni/Modelica.cpp' || echo '$(srcdir)/'`src/jni/Modelica.cpp
1111
1112 libscixcos_algo_la-xcosUtilities.lo: src/cpp/xcosUtilities.cpp
1113 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-xcosUtilities.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Tpo -c -o libscixcos_algo_la-xcosUtilities.lo `test -f 'src/cpp/xcosUtilities.cpp' || echo '$(srcdir)/'`src/cpp/xcosUtilities.cpp
1114 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Tpo $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Plo
1115 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/xcosUtilities.cpp' object='libscixcos_algo_la-xcosUtilities.lo' libtool=yes @AMDEPBACKSLASH@
1116 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1117 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-xcosUtilities.lo `test -f 'src/cpp/xcosUtilities.cpp' || echo '$(srcdir)/'`src/cpp/xcosUtilities.cpp
1118
1119 libscixcos_la-sci_Xcos.lo: sci_gateway/cpp/sci_Xcos.cpp
1120 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_Xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_Xcos.Tpo -c -o libscixcos_la-sci_Xcos.lo `test -f 'sci_gateway/cpp/sci_Xcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_Xcos.cpp
1121 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_Xcos.Tpo $(DEPDIR)/libscixcos_la-sci_Xcos.Plo
1122 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_Xcos.cpp' object='libscixcos_la-sci_Xcos.lo' libtool=yes @AMDEPBACKSLASH@
1123 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1124 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_Xcos.lo `test -f 'sci_gateway/cpp/sci_Xcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_Xcos.cpp
1125
1126 libscixcos_la-sci_warnBlockByUID.lo: sci_gateway/cpp/sci_warnBlockByUID.cpp
1127 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_warnBlockByUID.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Tpo -c -o libscixcos_la-sci_warnBlockByUID.lo `test -f 'sci_gateway/cpp/sci_warnBlockByUID.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_warnBlockByUID.cpp
1128 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Tpo $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Plo
1129 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_warnBlockByUID.cpp' object='libscixcos_la-sci_warnBlockByUID.lo' libtool=yes @AMDEPBACKSLASH@
1130 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1131 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_warnBlockByUID.lo `test -f 'sci_gateway/cpp/sci_warnBlockByUID.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_warnBlockByUID.cpp
1132
1133 libscixcos_la-sci_closeXcosFromScilab.lo: sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1134 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_closeXcosFromScilab.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Tpo -c -o libscixcos_la-sci_closeXcosFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXcosFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1135 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Tpo $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Plo
1136 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_closeXcosFromScilab.cpp' object='libscixcos_la-sci_closeXcosFromScilab.lo' libtool=yes @AMDEPBACKSLASH@
1137 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1138 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_closeXcosFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXcosFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1139
1140 libscixcos_la-sci_xcosDiagramToScilab.lo: sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1141 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosDiagramToScilab.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Tpo -c -o libscixcos_la-sci_xcosDiagramToScilab.lo `test -f 'sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1142 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Tpo $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Plo
1143 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' object='libscixcos_la-sci_xcosDiagramToScilab.lo' libtool=yes @AMDEPBACKSLASH@
1144 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1145 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosDiagramToScilab.lo `test -f 'sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1146
1147 libscixcos_la-sci_xcosPalLoad.lo: sci_gateway/cpp/sci_xcosPalLoad.cpp
1148 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalLoad.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Tpo -c -o libscixcos_la-sci_xcosPalLoad.lo `test -f 'sci_gateway/cpp/sci_xcosPalLoad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalLoad.cpp
1149 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Plo
1150 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalLoad.cpp' object='libscixcos_la-sci_xcosPalLoad.lo' libtool=yes @AMDEPBACKSLASH@
1151 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1152 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalLoad.lo `test -f 'sci_gateway/cpp/sci_xcosPalLoad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalLoad.cpp
1153
1154 libscixcos_la-sci_xcosPalCategoryAdd.lo: sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1155 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalCategoryAdd.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Tpo -c -o libscixcos_la-sci_xcosPalCategoryAdd.lo `test -f 'sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1156 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Plo
1157 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' object='libscixcos_la-sci_xcosPalCategoryAdd.lo' libtool=yes @AMDEPBACKSLASH@
1158 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1159 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalCategoryAdd.lo `test -f 'sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1160
1161 libscixcos_la-sci_xcosPalDelete.lo: sci_gateway/cpp/sci_xcosPalDelete.cpp
1162 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalDelete.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Tpo -c -o libscixcos_la-sci_xcosPalDelete.lo `test -f 'sci_gateway/cpp/sci_xcosPalDelete.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDelete.cpp
1163 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Plo
1164 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalDelete.cpp' object='libscixcos_la-sci_xcosPalDelete.lo' libtool=yes @AMDEPBACKSLASH@
1165 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1166 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalDelete.lo `test -f 'sci_gateway/cpp/sci_xcosPalDelete.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDelete.cpp
1167
1168 libscixcos_la-sci_xcosPalMove.lo: sci_gateway/cpp/sci_xcosPalMove.cpp
1169 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalMove.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Tpo -c -o libscixcos_la-sci_xcosPalMove.lo `test -f 'sci_gateway/cpp/sci_xcosPalMove.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalMove.cpp
1170 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Plo
1171 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalMove.cpp' object='libscixcos_la-sci_xcosPalMove.lo' libtool=yes @AMDEPBACKSLASH@
1172 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1173 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalMove.lo `test -f 'sci_gateway/cpp/sci_xcosPalMove.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalMove.cpp
1174
1175 libscixcos_la-sci_xcosPalEnable.lo: sci_gateway/cpp/sci_xcosPalEnable.cpp
1176 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalEnable.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Tpo -c -o libscixcos_la-sci_xcosPalEnable.lo `test -f 'sci_gateway/cpp/sci_xcosPalEnable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalEnable.cpp
1177 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Plo
1178 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalEnable.cpp' object='libscixcos_la-sci_xcosPalEnable.lo' libtool=yes @AMDEPBACKSLASH@
1179 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1180 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalEnable.lo `test -f 'sci_gateway/cpp/sci_xcosPalEnable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalEnable.cpp
1181
1182 libscixcos_la-sci_xcosPalDisable.lo: sci_gateway/cpp/sci_xcosPalDisable.cpp
1183 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalDisable.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Tpo -c -o libscixcos_la-sci_xcosPalDisable.lo `test -f 'sci_gateway/cpp/sci_xcosPalDisable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDisable.cpp
1184 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Plo
1185 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalDisable.cpp' object='libscixcos_la-sci_xcosPalDisable.lo' libtool=yes @AMDEPBACKSLASH@
1186 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1187 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalDisable.lo `test -f 'sci_gateway/cpp/sci_xcosPalDisable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDisable.cpp
1188
1189 libscixcos_la-sci_xcosPalGenerateIcon.lo: sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1190 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalGenerateIcon.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Tpo -c -o libscixcos_la-sci_xcosPalGenerateIcon.lo `test -f 'sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1191 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Plo
1192 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' object='libscixcos_la-sci_xcosPalGenerateIcon.lo' libtool=yes @AMDEPBACKSLASH@
1193 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1194 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalGenerateIcon.lo `test -f 'sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1195
1196 libscixcos_la-sci_xcosConfigureXmlFile.lo: sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1197 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosConfigureXmlFile.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Tpo -c -o libscixcos_la-sci_xcosConfigureXmlFile.lo `test -f 'sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1198 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Tpo $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Plo
1199 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' object='libscixcos_la-sci_xcosConfigureXmlFile.lo' libtool=yes @AMDEPBACKSLASH@
1200 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1201 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosConfigureXmlFile.lo `test -f 'sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1202
1203 libscixcos_la-sci_xcosAddToolsMenu.lo: sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1204 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosAddToolsMenu.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Tpo -c -o libscixcos_la-sci_xcosAddToolsMenu.lo `test -f 'sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1205 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Tpo $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Plo
1206 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' object='libscixcos_la-sci_xcosAddToolsMenu.lo' libtool=yes @AMDEPBACKSLASH@
1207 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1208 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosAddToolsMenu.lo `test -f 'sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1209
1210 libscixcos_la-sci_xcosUpdateBlock.lo: sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1211 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosUpdateBlock.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Tpo -c -o libscixcos_la-sci_xcosUpdateBlock.lo `test -f 'sci_gateway/cpp/sci_xcosUpdateBlock.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1212 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Tpo $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Plo
1213 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosUpdateBlock.cpp' object='libscixcos_la-sci_xcosUpdateBlock.lo' libtool=yes @AMDEPBACKSLASH@
1214 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1215 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosUpdateBlock.lo `test -f 'sci_gateway/cpp/sci_xcosUpdateBlock.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1216
1217 libscixcos_la-sci_loadXcos.lo: sci_gateway/cpp/sci_loadXcos.cpp
1218 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_loadXcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_loadXcos.Tpo -c -o libscixcos_la-sci_loadXcos.lo `test -f 'sci_gateway/cpp/sci_loadXcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_loadXcos.cpp
1219 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_loadXcos.Tpo $(DEPDIR)/libscixcos_la-sci_loadXcos.Plo
1220 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_loadXcos.cpp' object='libscixcos_la-sci_loadXcos.lo' libtool=yes @AMDEPBACKSLASH@
1221 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1222 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_loadXcos.lo `test -f 'sci_gateway/cpp/sci_loadXcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_loadXcos.cpp
1223
1224 mostlyclean-libtool:
1225         -rm -f *.lo
1226
1227 clean-libtool:
1228         -rm -rf .libs _libs
1229 install-libscixcos_la_etcDATA: $(libscixcos_la_etc_DATA)
1230         @$(NORMAL_INSTALL)
1231         @list='$(libscixcos_la_etc_DATA)'; test -n "$(libscixcos_la_etcdir)" || list=; \
1232         if test -n "$$list"; then \
1233           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_etcdir)'"; \
1234           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_etcdir)" || exit 1; \
1235         fi; \
1236         for p in $$list; do \
1237           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1238           echo "$$d$$p"; \
1239         done | $(am__base_list) | \
1240         while read files; do \
1241           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_etcdir)'"; \
1242           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_etcdir)" || exit $$?; \
1243         done
1244
1245 uninstall-libscixcos_la_etcDATA:
1246         @$(NORMAL_UNINSTALL)
1247         @list='$(libscixcos_la_etc_DATA)'; test -n "$(libscixcos_la_etcdir)" || list=; \
1248         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1249         dir='$(DESTDIR)$(libscixcos_la_etcdir)'; $(am__uninstall_files_from_dir)
1250 install-libscixcos_la_rootDATA: $(libscixcos_la_root_DATA)
1251         @$(NORMAL_INSTALL)
1252         @list='$(libscixcos_la_root_DATA)'; test -n "$(libscixcos_la_rootdir)" || list=; \
1253         if test -n "$$list"; then \
1254           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_rootdir)'"; \
1255           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_rootdir)" || exit 1; \
1256         fi; \
1257         for p in $$list; do \
1258           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1259           echo "$$d$$p"; \
1260         done | $(am__base_list) | \
1261         while read files; do \
1262           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_rootdir)'"; \
1263           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_rootdir)" || exit $$?; \
1264         done
1265
1266 uninstall-libscixcos_la_rootDATA:
1267         @$(NORMAL_UNINSTALL)
1268         @list='$(libscixcos_la_root_DATA)'; test -n "$(libscixcos_la_rootdir)" || list=; \
1269         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1270         dir='$(DESTDIR)$(libscixcos_la_rootdir)'; $(am__uninstall_files_from_dir)
1271 install-libscixcos_la_sci_gatewayDATA: $(libscixcos_la_sci_gateway_DATA)
1272         @$(NORMAL_INSTALL)
1273         @list='$(libscixcos_la_sci_gateway_DATA)'; test -n "$(libscixcos_la_sci_gatewaydir)" || list=; \
1274         if test -n "$$list"; then \
1275           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'"; \
1276           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" || exit 1; \
1277         fi; \
1278         for p in $$list; do \
1279           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1280           echo "$$d$$p"; \
1281         done | $(am__base_list) | \
1282         while read files; do \
1283           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'"; \
1284           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" || exit $$?; \
1285         done
1286
1287 uninstall-libscixcos_la_sci_gatewayDATA:
1288         @$(NORMAL_UNINSTALL)
1289         @list='$(libscixcos_la_sci_gateway_DATA)'; test -n "$(libscixcos_la_sci_gatewaydir)" || list=; \
1290         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1291         dir='$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1292 install-nobase_libscixcos_la_imagesDATA: $(nobase_libscixcos_la_images_DATA)
1293         @$(NORMAL_INSTALL)
1294         @list='$(nobase_libscixcos_la_images_DATA)'; test -n "$(libscixcos_la_imagesdir)" || list=; \
1295         if test -n "$$list"; then \
1296           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_imagesdir)'"; \
1297           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_imagesdir)" || exit 1; \
1298         fi; \
1299         $(am__nobase_list) | while read dir files; do \
1300           xfiles=; for file in $$files; do \
1301             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1302             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1303           test -z "$$xfiles" || { \
1304             test "x$$dir" = x. || { \
1305               echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir'"; \
1306               $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir"; }; \
1307             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir'"; \
1308             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir" || exit $$?; }; \
1309         done
1310
1311 uninstall-nobase_libscixcos_la_imagesDATA:
1312         @$(NORMAL_UNINSTALL)
1313         @list='$(nobase_libscixcos_la_images_DATA)'; test -n "$(libscixcos_la_imagesdir)" || list=; \
1314         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1315         dir='$(DESTDIR)$(libscixcos_la_imagesdir)'; $(am__uninstall_files_from_dir)
1316
1317 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1318         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1319         unique=`for i in $$list; do \
1320             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1321           done | \
1322           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1323               END { if (nonempty) { for (i in files) print i; }; }'`; \
1324         mkid -fID $$unique
1325 tags: TAGS
1326
1327 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1328                 $(TAGS_FILES) $(LISP)
1329         set x; \
1330         here=`pwd`; \
1331         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1332         unique=`for i in $$list; do \
1333             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1334           done | \
1335           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1336               END { if (nonempty) { for (i in files) print i; }; }'`; \
1337         shift; \
1338         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1339           test -n "$$unique" || unique=$$empty_fix; \
1340           if test $$# -gt 0; then \
1341             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1342               "$$@" $$unique; \
1343           else \
1344             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1345               $$unique; \
1346           fi; \
1347         fi
1348 ctags: CTAGS
1349 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1350                 $(TAGS_FILES) $(LISP)
1351         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1352         unique=`for i in $$list; do \
1353             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1354           done | \
1355           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1356               END { if (nonempty) { for (i in files) print i; }; }'`; \
1357         test -z "$(CTAGS_ARGS)$$unique" \
1358           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1359              $$unique
1360
1361 GTAGS:
1362         here=`$(am__cd) $(top_builddir) && pwd` \
1363           && $(am__cd) $(top_srcdir) \
1364           && gtags -i $(GTAGS_ARGS) "$$here"
1365
1366 distclean-tags:
1367         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1368
1369 distdir: $(DISTFILES)
1370         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1371         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1372         list='$(DISTFILES)'; \
1373           dist_files=`for file in $$list; do echo $$file; done | \
1374           sed -e "s|^$$srcdirstrip/||;t" \
1375               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1376         case $$dist_files in \
1377           */*) $(MKDIR_P) `echo "$$dist_files" | \
1378                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1379                            sort -u` ;; \
1380         esac; \
1381         for file in $$dist_files; do \
1382           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1383           if test -d $$d/$$file; then \
1384             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1385             if test -d "$(distdir)/$$file"; then \
1386               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1387             fi; \
1388             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1389               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1390               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1391             fi; \
1392             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1393           else \
1394             test -f "$(distdir)/$$file" \
1395             || cp -p $$d/$$file "$(distdir)/$$file" \
1396             || exit 1; \
1397           fi; \
1398         done
1399 check-am: all-am
1400         $(MAKE) $(AM_MAKEFLAGS) check-local
1401 check: $(BUILT_SOURCES)
1402         $(MAKE) $(AM_MAKEFLAGS) check-am
1403 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1404 installdirs:
1405         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscixcos_la_etcdir)" "$(DESTDIR)$(libscixcos_la_rootdir)" "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" "$(DESTDIR)$(libscixcos_la_imagesdir)"; do \
1406           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1407         done
1408 install: $(BUILT_SOURCES)
1409         $(MAKE) $(AM_MAKEFLAGS) install-am
1410 install-exec: install-exec-am
1411 install-data: install-data-am
1412 uninstall: uninstall-am
1413
1414 install-am: all-am
1415         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1416
1417 installcheck: installcheck-am
1418 install-strip:
1419         if test -z '$(STRIP)'; then \
1420           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1421             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1422               install; \
1423         else \
1424           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1425             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1426             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1427         fi
1428 mostlyclean-generic:
1429
1430 clean-generic:
1431
1432 distclean-generic:
1433         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1434         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1435
1436 maintainer-clean-generic:
1437         @echo "This command is intended for maintainers to use"
1438         @echo "it deletes files that may require special tools to rebuild."
1439         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1440 clean: clean-am
1441
1442 clean-am: clean-generic clean-libtool clean-local \
1443         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1444
1445 distclean: distclean-am
1446         -rm -rf ./$(DEPDIR)
1447         -rm -f Makefile
1448 distclean-am: clean-am distclean-compile distclean-generic \
1449         distclean-local distclean-tags
1450
1451 dvi: dvi-am
1452
1453 dvi-am:
1454
1455 html: html-am
1456
1457 html-am:
1458
1459 info: info-am
1460
1461 info-am:
1462
1463 install-data-am: install-data-local install-libscixcos_la_etcDATA \
1464         install-libscixcos_la_rootDATA \
1465         install-libscixcos_la_sci_gatewayDATA \
1466         install-nobase_libscixcos_la_imagesDATA
1467
1468 install-dvi: install-dvi-am
1469
1470 install-dvi-am:
1471
1472 install-exec-am: install-pkglibLTLIBRARIES
1473
1474 install-html: install-html-am
1475
1476 install-html-am: install-html-local
1477
1478 install-info: install-info-am
1479
1480 install-info-am:
1481
1482 install-man:
1483
1484 install-pdf: install-pdf-am
1485
1486 install-pdf-am:
1487
1488 install-ps: install-ps-am
1489
1490 install-ps-am:
1491
1492 installcheck-am:
1493
1494 maintainer-clean: maintainer-clean-am
1495         -rm -rf ./$(DEPDIR)
1496         -rm -f Makefile
1497 maintainer-clean-am: distclean-am maintainer-clean-generic
1498
1499 mostlyclean: mostlyclean-am
1500
1501 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1502         mostlyclean-libtool
1503
1504 pdf: pdf-am
1505
1506 pdf-am:
1507
1508 ps: ps-am
1509
1510 ps-am:
1511
1512 uninstall-am: uninstall-libscixcos_la_etcDATA \
1513         uninstall-libscixcos_la_rootDATA \
1514         uninstall-libscixcos_la_sci_gatewayDATA \
1515         uninstall-nobase_libscixcos_la_imagesDATA \
1516         uninstall-pkglibLTLIBRARIES
1517
1518 .MAKE: all check check-am install install-am install-strip
1519
1520 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1521         clean clean-generic clean-libtool clean-local \
1522         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1523         distclean distclean-compile distclean-generic \
1524         distclean-libtool distclean-local distclean-tags distdir dvi \
1525         dvi-am html html-am info info-am install install-am \
1526         install-data install-data-am install-data-local install-dvi \
1527         install-dvi-am install-exec install-exec-am install-html \
1528         install-html-am install-html-local install-info \
1529         install-info-am install-libscixcos_la_etcDATA \
1530         install-libscixcos_la_rootDATA \
1531         install-libscixcos_la_sci_gatewayDATA install-man \
1532         install-nobase_libscixcos_la_imagesDATA install-pdf \
1533         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1534         install-ps-am install-strip installcheck installcheck-am \
1535         installdirs maintainer-clean maintainer-clean-generic \
1536         mostlyclean mostlyclean-compile mostlyclean-generic \
1537         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1538         uninstall-am uninstall-libscixcos_la_etcDATA \
1539         uninstall-libscixcos_la_rootDATA \
1540         uninstall-libscixcos_la_sci_gatewayDATA \
1541         uninstall-nobase_libscixcos_la_imagesDATA \
1542         uninstall-pkglibLTLIBRARIES
1543
1544
1545 # This target enables tests for Scilab
1546 check-local: $(top_builddir)/scilab-bin test
1547         if test -d $(mydatadir)/tests; then \
1548           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1549         fi
1550 check-code:
1551         if test -f build.xml; then \
1552                 $(ANT) checkstyle; \
1553         fi
1554         if test -x "$(SPLINT)"; then \
1555                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1556         fi
1557 @NEED_JAVA_TRUE@java:
1558 # Some configurations needs to export JAVA_HOME in the current env
1559 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1560 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1561 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1562 @NEED_JAVA_TRUE@                $(ANT); \
1563 @NEED_JAVA_TRUE@        fi
1564
1565 @NEED_JAVA_TRUE@clean-java:
1566 # Some configurations needs to export JAVA_HOME in the current env
1567 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1568 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1569 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1570 @NEED_JAVA_TRUE@                $(ANT) clean; \
1571 @NEED_JAVA_TRUE@        fi;
1572
1573 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1574 # We call the target swig-build on the variable SWIG_WRAPPERS
1575
1576 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1577 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1578 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1579 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1580 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1581 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1582 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1583 @SWIG_TRUE@             done; \
1584 @SWIG_TRUE@     fi
1585
1586 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1587 # We call the target swig-build on the variable SWIG_WRAPPERS
1588
1589 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1590 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1591 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1592 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1593 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1594 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1595 @GIWS_TRUE@             done; \
1596 @GIWS_TRUE@     fi
1597
1598 @GIWS_TRUE@giws-exception:
1599 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1600 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1601 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1602
1603 macros:
1604         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1605                 echo "Error : Cannot build $< : Scilab has not been built"; \
1606         else \
1607                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1608         fi)
1609
1610 # Removes the macros
1611 clean-macros:
1612 # Removes macros (*.bin generated from .sci)
1613         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1614                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1615                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1616         done
1617
1618 test:
1619 # More tests could be added here
1620         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1621         if test -f build.xml -a $$USEANT -eq 1; then \
1622                 $(ANT) test; \
1623         fi
1624
1625 all-local: $(TARGETS_ALL)
1626
1627 .sci.bin:
1628         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1629         echo "Error : Cannot build $< : Scilab has not been build"; \
1630         else \
1631         echo "Creating $@"; \
1632         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1633         fi )
1634
1635 install-html-local:
1636
1637 install-data-local-local:
1638 # Mainly for javasci
1639         @if test -d $(srcdir)/javadoc; then \
1640                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1641         fi
1642 # If the user wants the help sources to be installed
1643 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1644 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1645 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1646 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1647 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1648 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1649 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1650 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1651 @INSTALL_HELP_XML_TRUE@           done ; \
1652 @INSTALL_HELP_XML_TRUE@         fi; \
1653 @INSTALL_HELP_XML_TRUE@  fi; \
1654 @INSTALL_HELP_XML_TRUE@ done; \
1655 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1656 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1657 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1658 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1659 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1660 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1661 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1662 @INSTALL_HELP_XML_TRUE@           done ; \
1663 @INSTALL_HELP_XML_TRUE@         fi; \
1664 @INSTALL_HELP_XML_TRUE@ fi
1665 install-data-local:
1666 # Install the tests
1667         @echo "-------- Install tests (if any) --------"; \
1668         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1669           if test -d $(srcdir)/$$dir/; then \
1670             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1671                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1672                     if test -d "$(srcdir)/$$dir/$$file"; then \
1673                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1674                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1675                     else \
1676                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1677                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1678                     fi \
1679                   done; \
1680           fi; \
1681         done
1682 # Install the help chapter
1683         @echo "-------- Install the help chapter (if any) --------"; \
1684         for lang in $(HELP_CHAPTERLANG); do \
1685                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1686                 if test -f $$HELPFILE; then \
1687                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1688                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1689                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1690                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1691                 fi; \
1692         done
1693 # Install the demos & examples
1694         @echo "-------- Install demos & examples (if any) --------"; \
1695         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1696           if test -d $(srcdir)/$$dir/; then \
1697             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1698                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1699                     if test -d "$(srcdir)/$$dir/$$file"; then \
1700                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1701                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1702                     else \
1703                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1704                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1705                     fi \
1706                   done; \
1707           fi; \
1708         done
1709 # Install the macros
1710         @echo "-------- Install macros (if any) --------"; \
1711         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1712           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1713                 if test -d $(srcdir)/$$dir/; then \
1714                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1715                         if test -n "$(MACROSSPECIALEXT)"; then \
1716                                 specialExtDir=""; \
1717                                 for specialExt in $(MACROSSPECIALEXT); do \
1718                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1719                                 done; \
1720                                 FILELIST="$$FILELIST $$specialExtDir"; \
1721                         fi; \
1722                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1723                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1724                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1725                   done; \
1726                 fi; \
1727         done
1728 # Install java files (.jar)
1729         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1730         echo "-------- Install jar files --------"; \
1731     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1732           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1733                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1734                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1735           done ; \
1736         fi
1737
1738 ########### CLEAN ###################
1739 # Clean help (generated automatically by Scilab)
1740 # It used to clean the macro (clean-macros) but this was causing
1741 # make clean && make to fail Scilab startup
1742 @NEED_JAVA_TRUE@clean-local: clean-java
1743 @NEED_JAVA_FALSE@clean-local:
1744
1745 distclean-local:
1746         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1747
1748 .PHONY: macros java swig giws
1749
1750 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1751 # Otherwise a system limit (for SysV at least) may be exceeded.
1752 .NOEXPORT: